> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Billing Portal Session



## OpenAPI

````yaml POST /v1/billing/portal
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/billing/portal:
    post:
      tags:
        - billing
      summary: Create a Stripe billing-portal session
      operationId: BillingController_portal
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePortalDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreatePortalDto:
      type: object
      properties:
        returnUrl:
          type: string
          description: URL the billing portal returns to
      required:
        - returnUrl
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````